@import "./normalize.min.css";
@import url("https://fonts.googleapis.com/css?family=Titillium+Web:400,400i,600,700&display=swap");

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
  font-family: "Titillium Web", sans-serif;
  color: #fff;
  letter-spacing: 1px;
}

body {
  overflow-x: hidden;
}

a {
  text-decoration: none;
  color: #fff;
}

.list {
  display: flex;
  margin: 0;
  padding: 0;
}

.list__item {
  list-style-type: none;
}

.item__link {
  list-style-type: none;
  padding: 5px 18px;
  font-size: 16px;
  margin-right: 8px;
  letter-spacing: 0px;
}

.item__link:hover {
  cursor: pointer;
}

.container {
  width: 100%;
  max-width: 1440px;
  margin: 0 auto;
}

.wrapper {
  padding: 0 170px;
}

.header__wrapper {
  padding-bottom: 60px;
}

.btn {
  border-radius: 4px;
  border: none;
}

.social-icon {
  width: 35px;
  height: 35px;
  opacity: 0.1;
}

.social-icon:hover {
  opacity: 1;
}

/* header */

.header {
  background-color: #87509c;
  height: 100vh;
}

.header__top-section {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 56px;
}

.logo {
  margin-left: 42px;
}

/* .item--active, */
.header__menu .item__link:hover,
.header-modal-box__menu .item__link:hover {
  background-color: #643a79;
  border-radius: 4px;
}

/* mobile menu */

.header-nav-btn-mobile {
  display: none;
  z-index: 100;
}

.toggle {
  display: block;
  width: 36px;
  height: 30px;
  text-indent: 100%;
  font-size: 0;
  line-height: 0;
}

.toggle span:after,
.toggle span:before {
  content: "";
  position: absolute;
  left: 0;
  top: 10px;
}

.toggle span:after {
  top: 20px;
}

.toggle span {
  position: relative;
  display: block;
}

.toggle span,
.toggle span:after,
.toggle span:before {
  width: 100%;
  height: 4px;
  background-color: #fff;
  transition: all 0.5s;
  backface-visibility: hidden;
}

/* on activation */

.toggle.on {
  position: fixed;
  top: 30px;
  right: 30px;
}

.toggle.on span {
  background-color: transparent;
}

.toggle.on span:before {
  transform: rotate(45deg) translate(0px, 7px);
  background-color: #643a79;
}

.toggle.on span:after {
  transform: rotate(-45deg) translate(0px, -7px);
  background-color: #643a79;
}

/* header modal box */

.header-modal-box {
  display: none;
  visibility: hidden;
  background-color: #fff;
  opacity: 0;
  height: 100%;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  transition: all 0.5s ease-in-out;
  z-index: 10;
}

.header-modal-box.show-mobile-navmenu {
  opacity: 0.96;
  visibility: visible;
}

.header-modal-box__menu .list {
  flex-direction: column;
}

.header-modal-box__menu .list__item {
  margin-bottom: 15px;
}

.header-modal-box__menu .item__link {
  color: #643a79;
  font-size: 20px;
}

.header-modal-box__menu .item__link:hover {
  color: #fff;
}

.menu-box {
  width: 100%;
  display: flex;
  align-items: center;
  height: inherit;
  animation: hideLinks 0.4s ease-in-out forwards;
}

.show-menu-box {
  opacity: 0;
  animation: showLinks 0.4s ease-in-out forwards;
}

.header-modal-box__menu {
  position: relative;
  width: 100%;
}

.link {
  text-align: center;
}

.header__welcome-section {
  display: flex;
  flex-direction: column;
  padding: 88px 0;
}

.welcome-text {
  font-size: 40px;
  text-align: center;
  font-weight: 600;
  line-height: 52px;
  margin-bottom: 38px;
  letter-spacing: 0.3px;
}

.btn-wrap {
  margin: 0 auto;
}

.header-btn {
  background-color: #eb7d4b;
  box-shadow: 0 4px 2px -2px #c86a40;
  padding: 23px 80px;
  font-size: 17px;
  letter-spacing: 1px;
  margin-top: 12px;
}

.header-btn:hover {
  background-color: #c86a40;
}

.next-line {
  display: block;
}

/* main */

.main-box {
  display: flex;
  justify-content: space-around;
}

.main-box__item {
  max-width: 200px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding-bottom: 80px;
}

.main-header {
  padding: 76px 0;
  text-align: center;
}

.main-header__title {
  font-size: 40px;
  letter-spacing: 3px;
  position: relative;
}

.main-header__title::before {
  content: "";
  width: 8%;
  border-bottom: solid 4px #fff;
  position: absolute;
  left: 46%;
  top: 117%;
  z-index: 1;
}

.main-header__desc {
  font-size: 18px;
  letter-spacing: 0px;
  line-height: 27px;
  padding: 4px 190px;
}

.item__title {
  font-size: 23px;
  padding-top: 24px;
  margin-bottom: 20px;
}

.item__subtitle {
  color: #48c1e9;
  margin: 0;
  padding-top: 7px;
  padding-bottom: 17px;
  font-size: 15px;
}

.item__desc {
  font-size: 14px;
  line-height: 24px;
}

.item__social-links {
  display: flex;
  justify-content: center;
}

.main .social-icon {
  padding: 0 6px;
  padding-top: 23px;
}

/* services */

.services {
  position: relative;
  width: 100%;
  background-color: #17c2a4;
  padding-bottom: 42px;
}

.services .main-header__title::before {
  border-bottom-color: #14a58c;
}

.services .item__icon {
  height: 124px;
}

/* team */

.team {
  background-color: #e7f1f8;
  color: #3c4761;
  padding-bottom: 46px;
}

.team .main-header__title {
  padding-top: 3px;
}

.team .main-header__title::before {
  border-bottom-color: #c8d9e5;
}

.team .item__title {
  margin: 0;
  padding-top: 26px;
}

.item-wrap {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}

/* skills */

.skills {
  background-color: #fff;
  color: #3c4761;
  padding-bottom: 18px;
}

.skills .main-header__title::before {
  border-bottom-color: #dfe8ed;
}

.skills .item__title {
  padding-top: 0;
  margin-top: 20px;
}

.circle-wrap {
  margin: 50px auto;
  margin-bottom: 24px;
  width: 160px;
  height: 160px;
  background: #e6e2e7;
  border-radius: 50%;
}

.circle-wrap .circle .mask,
.circle-wrap .circle .fill {
  width: 160px;
  height: 160px;
  position: absolute;
  border-radius: 50%;
}

.circle-wrap .circle .mask {
  clip: rect(0px, 160px, 160px, 80px);
}

.circle-wrap .circle .mask .fill {
  clip: rect(0px, 80px, 160px, 0px);
  background-color: #30bae7;
}

.circle-wrap .circle .mask .circle-pink {
  background-color: #d74680;
}

.circle-wrap .circle .mask .circle-green {
  background-color: #15c7a8;
}

.circle-wrap .circle .mask .circle-orange {
  background-color: #eb7d4b;
}

.circle-wrap .circle .mask.blue,
.circle-wrap .circle .circle-blue {
  animation: fill ease-in-out 3s;
  transform: rotate(163deg);
}

.circle-wrap .circle .mask.pink,
.circle-wrap .circle .circle-pink {
  animation: fillPink ease-in-out 3s;
  transform: rotate(135deg);
}

.circle-wrap .circle .mask.green,
.circle-wrap .circle .circle-green {
  animation: fillGreen ease-in-out 3s;
  transform: rotate(117deg);
}

.circle-wrap .circle .mask.orange,
.circle-wrap .circle .circle-orange {
  animation: fillOrange ease-in-out 3s;
  transform: rotate(144deg);
}

.circle-wrap .inside-circle {
  width: 140px;
  height: 140px;
  border-radius: 50%;
  background: #fff;
  line-height: 140px;
  text-align: center;
  margin-top: 10px;
  margin-left: 10px;
  position: absolute;
  z-index: 100;
  font-weight: 400;
  font-size: 3em;
}

.skills .main-header {
  padding-bottom: 25px;
}

/* portfolio */

.portfolio {
  background-color: #ffdd99;
  color: #393939;
  padding-bottom: 110px;
}

.portfolio .main-header {
  padding-bottom: 35px;
}

.portfolio .main-header__title::before {
  border-bottom-color: #e5c37f;
}

.portfolio__btn-group {
  display: flex;
  justify-content: center;
  padding-bottom: 62px;
}

.portfolio__btn-group .btn {
  background-color: #e5c37f;
  padding: 7px 25px;
  margin-right: 10px;
  font-size: 18px;
}

.portfolio__btn-group .btn:hover {
  background-color: #fff;
}

.big-items-box {
  display: flex;
  padding: 0 150px;
  justify-content: space-around;
}

.big-item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 37px;
}

.item-icons {
  position: relative;
  padding: 0 10px;
}

.icon__inner {
  position: absolute;
  width: 73.5%;
  top: 18px;
  left: 74px;
}

.icon-laptop-inner {
  width: 100%;
}

.big-item .item__title {
  font-size: 19px;
  padding-top: 0px;
  letter-spacing: 0px;
  font-weight: 600;
}

.icon-laptop {
  background-image: url("../img/laptop.png");
  width: 300px;
  background-repeat: no-repeat;
  background-size: 100%;
  padding: 10px 45px 20px;
}

.btn-wrap {
  display: flex;
  justify-content: center;
}

.main-btn {
  width: 295px;
  padding: 23px 0;
  color: #fff;
  background-color: #17c2a4;
  margin-top: 18px;
  font-size: 18px;
  font-weight: 600;
  box-shadow: 0 4px 2px -2px #14a58c;
}

.main-btn:hover {
  background-color: #14a58c;
}

/* blog */

.blog {
  background-color: #d74680;
}

.blog__wrapper {
  padding-bottom: 4px;
}

.blog .main-header {
  padding-bottom: 60px;
}

.blog .main-header__title {
  margin: 29px 0;
}

.blog .main-header__title::before {
  border-bottom-color: #b73c6d;
}

.blog .big-items-box {
  padding: 0;
  justify-content: space-between;
  margin-bottom: 25px;
}

.blog .big-item {
  flex-direction: row;
  align-items: flex-start;
  max-width: 47%;
}

.blog .item__icon {
  width: 100px;
  height: 100px;
  margin-right: 40px;
}

.blog .big-item__main-section {
  text-align: left;
}

.blog .item__desc {
  font-style: italic;
  margin-bottom: 18px;
  font-size: 20px;
  padding-top: 4px;
  line-height: 31px;
}

.blog .item__title,
.blog .item__subtitle {
  padding: 0;
  margin: 0;
}

.blog .item__title {
  font-size: 24px;
  padding-left: 5px;
}

.blog .item__subtitle {
  color: #ffdd99;
  font-size: 18px;
  font-weight: 500;
  padding-left: 5px;
  margin-top: -3px;
}

/* contacts */

.contacts {
  background-color: #3c5499;
  margin-top: -13px;
}

.contacts .main-header {
  padding-bottom: 50px;
}

.contacts .main-header__title::before {
  border-bottom-color: #273a71;
}

.form {
  display: flex;
  justify-content: stretch;
  padding: 0 120px;
  padding-bottom: 115px;
}

.form-box,
.textarea-field {
  width: 100%;
  border: none;
  margin: 0;
  padding: 0;
}

.field-box {
  display: flex;
  justify-content: space-between;
}

.field-placeholder {
  position: relative;
}

.input-field {
  width: 48.3%;
}

.placeholder {
  position: absolute;
  pointer-events: none;
  top: 12px;
  bottom: 0;
  height: 25px;
  font-size: 18px;
  left: 26px;
  color: #ccc;
  letter-spacing: 0;
}

.placeholder span {
  color: red;
}

.textarea-field .placeholder {
  top: 20px;
}

.field-placeholder .field:valid + .placeholder,
.field-placeholder .message:valid + .placeholder {
  display: none;
}

.field,
.message {
  box-sizing: border-box;
  width: 100%;
  border: none;
  border-radius: 4px;
  padding: 0;
  padding-left: 26px;
  margin-bottom: 27px;
  background-color: #273a71;
}

.field {
  height: 55px;
  margin-top: -5px;
}

.message {
  height: 200px;
  padding-top: 20px;
  resize: none;
}

.contacts .main-btn {
  background-color: #30bae7;
  margin-top: 28px;
  box-shadow: 0 4px 2px -2px #299ec5;
}

.contacts .main-btn:hover {
  background-color: #299ec5;
}

/* footer */

.footer {
  background-color: #344b8e;
  border-top: 1px solid #5267a4;
}

.footer .list {
  justify-content: space-between;
  padding: 38px 78px;
}

.footer .item__link {
  font-size: 24px;
  font-weight: 600;
}

.footer .item__link:hover {
  color: #30bae7;
}

.footer .mobile-list {
  display: none;
}

.footer .item__link,
.footer .social-icon {
  padding: 0;
  margin: 0;
}

.hidden {
  display: none;
}

@media screen and (max-width: 1199px) {
  .wrapper {
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 30px;
  }

  .header .wrapper,
  .blog .wrapper,
  .contacts .wrapper,
  .footer .wrapper {
    padding-left: 30px;
    padding-right: 30px;
  }

  .logo {
    margin-left: 25px;
  }

  .main-box {
    justify-content: space-around;
  }

  /* .main-header__title {
    padding: 0 30px;
  } */

  .main-header__title::before {
    width: 7%;
    left: 46.5%;
  }

  .main-header__title,
  .main-header__desc {
    padding: 4px 30px;
  }

  .big-items-box {
    flex-wrap: wrap;
  }

  /* {
    padding-left: 0;
    padding-right: 0;
  } */
  .form,
  .footer .list {
    padding-left: 0;
    padding-right: 0;
  }

  .footer .social-icon {
    opacity: 0.7;
  }

  .footer .wrapper {
    padding-bottom: 0;
  }
}

@media screen and (max-width: 991px) {
  .blog .wrapper {
    padding-left: 0;
    padding-right: 0;
  }

  .services,
  .team,
  .skills,
  .portfolio,
  .blog {
    padding-bottom: 0;
  }

  .header__top-section {
    margin-bottom: 55px;
    padding-top: 25px;
  }

  .header__welcome-section {
    padding: 0;
    margin-top: 50px;
    height: 60vh;
    justify-content: space-around;
  }

  .welcome-text {
    margin: 70px 0;
  }

  .next-line {
    display: none;
  }

  .logo {
    margin-left: 0;
  }

  .main-box {
    flex-wrap: wrap;
  }

  .main-box__item {
    width: 40%;
    max-width: 40%;
  }

  .main-header__title::before {
    width: 11%;
    left: 45.5%;
  }

  .big-item {
    width: 540px;
    max-width: 540px;
  }

  .main-header {
    padding: 30px 0;
  }

  .main-header__desc {
    font-size: 20px;
  }

  .header__menu {
    display: none;
  }

  .header-modal-box {
    display: block;
  }

  .header-nav-btn-mobile {
    display: block;
  }

  .item__desc {
    font-size: 18px;
  }

  .main-box__item {
    padding-bottom: 40px;
  }

  .portfolio .btn-wrap {
    margin-bottom: 30px;
  }

  .portfolio__wrapper {
    padding-bottom: 50px;
  }

  .blog__wrapper {
    padding-bottom: 0;
  }

  .blog .big-items-box {
    margin-bottom: 0;
  }

  .blog .big-item {
    flex-direction: column;
    align-items: center;
  }

  .blog .big-item__main-section {
    margin-top: 20px;
    text-align: center;
  }

  .blog .big-item .item__icon {
    width: 200px;
    height: 200px;
    margin: 0 auto;
    margin-bottom: 30px;
  }

  .field-box {
    display: block;
  }

  .input-field {
    width: 100%;
  }

  .form {
    padding-bottom: 60px;
  }

  .footer .main-list {
    display: none;
  }

  .footer .mobile-list {
    display: flex;
  }

  .footer .list {
    padding: 20px 0;
  }
}

@media screen and (max-width: 767px) {
  .header__top-section {
    align-items: flex-end;
    padding: 20px 0;
  }

  .header__welcome-section {
    margin-top: 85px;
  }

  .btn-wrap,
  .header-btn,
  .main-btn {
    width: 85%;
    padding: 15px;
  }

  .welcome-text {
    margin: 0;
    margin-bottom: 50px;
  }

  .main-header__title::before {
    width: 15%;
    left: 43.5%;
  }

  .main-header__title {
    font-size: 34px;
  }

  .main-box__item {
    width: 100%;
    padding-left: 0;
    padding-right: 0;
  }

  .item__desc {
    padding: 5px 15px;
  }

  .blog .big-items-box {
    justify-content: center;
  }

  .blog .big-item {
    padding-left: 0;
    padding-right: 0;
  }

  .blog .big-item__main-section {
    text-align: center;
  }

  .form {
    padding-bottom: 30px;
  }

  .big-item {
    margin-bottom: 25px;
  }

  .wrapper {
    padding-bottom: 10px;
  }

  .btn-wrap {
    padding-top: 0;
  }

  .footer .social-icon {
    width: 25px;
    height: 25px;
  }

  .footer .list {
    padding: 15px 0;
  }

  .footer .wrapper {
    padding-left: 20px;
    padding-right: 20px;
  }
}

@media screen and (max-width: 575px) {
  .welcome-text {
    font-size: 28px;
    line-height: 35px;
    margin-bottom: 80px;
  }

  .main-header {
    padding-top: 15px;
  }

  .main-header__title {
    font-size: 23px;
    padding: 4px 15px;
  }

  .main-header__desc {
    font-size: 18px;
    padding: 4px 15px;
  }

  .main-header__title {
    margin-bottom: 24px;
  }

  .item__title {
    padding-top: 0;
  }

  .services .main-box__item {
    justify-content: flex-start;
  }

  .item-icons {
    padding: 0;
  }

  .icon__outer {
    width: 300px;
  }

  .icon__inner {
    width: 76%;
    top: 10px;
    left: 36px;
  }

  .circle-wrap {
    margin: 20px auto;
  }

  .portfolio__btn-group {
    justify-content: space-around;
    padding-left: 8px;
    padding-right: 8px;
  }

  .main-box__item {
    padding-bottom: 50px;
  }

  .blog .big-item,
  .team .main-box__item {
    max-width: 100%;
  }

  .blog .big-item .item__icon {
    margin-bottom: 20px;
  }
}

@media screen and (max-width: 480px) {
  .main-box__item {
    max-width: 100%;
  }

  .main-header__title::before {
    width: 21%;
    left: 39.5%;
  }

  .portfolio__btn-group .btn {
    margin-bottom: 10px;
    padding: 7px 18px;
    font-size: 15px;
    margin-right: 0;
  }
}

@keyframes showLinks {
  0% {
    transform: translateY(-60px);
    opacity: 0;
  }

  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

@keyframes hideLinks {
  0% {
    transform: translateY(0);
    opacity: 1;
  }

  100% {
    transform: translateY(60px);
    opacity: 0;
  }
}

@keyframes fill {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(163deg);
  }
}

@keyframes fillPink {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(135deg);
  }
}

@keyframes fillGreen {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(117deg);
  }
}

@keyframes fillOrange {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(144deg);
  }
}
